{
    "name": "spinit/pub-dev-mroute",
    "description": "Gestiore multi istanza associabile a più rotte",
    "type": "library",
    "authors": [
        {
            "name": "Ermanno Astolfi",
            "email": "ermanno.astolfi@spinit.it"
        }
    ],
    "autoload" : {
        "psr-4" : {
            "Spinit\\Dev\\MRoute\\" : "src/",
            "Spinit\\Dev\\MRoute\\Test\\" : "tests/src/"
	},
        "files" : [
            "init/functions.php",
            "init/init.php"
        ]
    },
    "require": {
        "spinit/pub-lib-util": "^1.0",
        "spinit/pub-lib-model" : "^1.0",
        "spinit/pub-lib-datasource" : "^1.0",
        "spinit/pub-lib-uuido": "^1.0",
        "guzzlehttp/psr7": "^1.6",
        "webmozart/assert": "^1.9"
    },
    "require-dev": {
        "phpunit/phpunit": "^9.2"
    },
    "scripts": {
        "test": "./vendor/bin/phpunit --configuration=phpunit.xml",
        "start": "docker-compose up  --build -d",
        "stop" : "docker-compose down"
    },
    "repositories": {
        "gitlab.com/11461616": {
            "type": "composer",
            "url": "https://gitlab.com/api/v4/group/11461616/-/packages/composer/packages.json"
        }
    }

}
